/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource['epages.io.file_test']){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource['epages.io.file_test'] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.
*/
dojo.provide('epages.io.file_test');
dojo.require('epages.io.file');

dojo.extend(epages.io.File, {
	test: /*Boolean*/ function(/*epages.Test*/eTest) {
		// summary:
		//		test this package
		// example:
		// 	  var package = new epages.io.Html();
		//		boolean = package.test(eTest);
		//		// returns true if all test are successfully
		eTest.setPlanned(2);
		eTest.ok(1, 'loaded');

    this.addFile('myfile', 'my file name.txt', 'That\'s my file!\nThanks for reading!');
    var expected = decodeURIComponent(this.boundary + "%0D%0AContent-Disposition%3A%20form-data%3B%20name%3D%22myfile%22%3B%20fileName%3D%22my%20file%20name.txt%22%0D%0AContent-Type%3A%20application%2Foctet-stream%3B%20charset%3Dutf-8%0D%0AContent-Transfer-Encoding%3A%20base64%0D%0A%0D%0AThat's%20my%20file!%0AThanks%20for%20reading!%0D%0A" + this.boundary + "--%0D%0A");
    var result = this._getFilePost();
    eTest.ok(result == expected, '_getFilePost() works');

		// closing async test
		return eTest.planned == eTest.correct ? true : false;
	}
});

}
